REST API call to retrieve severity information

Prev Next

Using this REST API call, you can retrieve the severity options set for the required incident type (incident nature).

GET request URL

https://<epo_server_name:port>/rest/dlp/incidents/getSeverityOptions?incidentNature={incidentNature}

Where

  • epo_server_name:port is the server IP address and port number.

  • incidentNature={n} n can be 1, 2, or 3 for incidents of different data vectors (incident nature).

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

incidentNature={n}

Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be:

  • 1 = Retrieve incident details generated for data-in-use/motion

  • 2 = Reserved to retrieve data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product

  • 3 = Retrieve incident details generated for data-at-rest - Network

Required

Number

Sample GET request URL

https://172.27.108.53:8443/rest/dlp/incidents/getSeverityOptions?incidentNature=1

Sample cURL command

curl -k -v -X GET 'https://172.27.108.53:8443/rest/dlp/incidents/getSeverityOptions?incidentNature=1' -u '<user>:<password>'

Response parameters

Returns the severity options set for the required incident type.

Sample response

{

    "0": "INFO",

    "1": "WARNING",

    "2": "MINOR",

    "3": "MAJOR",

    "4": "CRITICAL"

}

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Returns the severity options set for the required incident type.

400 Bad Request

Returns a bad request if:

  • incidentNature is missing.

  • incidentNature has a non-numeric value.

  • incidentNature is not either 1 or 3.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.